lzma_index_hash_info Struct Reference

## Data Fields

lzma_vli | blocks_size
| Sum of the Block sizes (including Block Padding) More...
lzma_vli | uncompressed_size
| Sum of the Uncompressed Size fields. More...
lzma_vli | count
| Number of Records. More...
lzma_vli | index_list_size
| Size of the List of Index Records as bytes. More...
lzma_check_state | check
| Check calculated from Unpadded Sizes and Uncompressed Sizes. More...

## Field Documentation

## blocks_size

lzma_vli lzma_index_hash_info::blocks_size

Sum of the Block sizes (including Block Padding)

## uncompressed_size

lzma_vli lzma_index_hash_info::uncompressed_size

Sum of the Uncompressed Size fields.

## count

lzma_vli lzma_index_hash_info::count

Number of Records.

## index_list_size

lzma_vli lzma_index_hash_info::index_list_size

Size of the List of Index Records as bytes.

## check

lzma_check_state lzma_index_hash_info::check

Check calculated from Unpadded Sizes and Uncompressed Sizes.

The documentation for this struct was generated from the following file:

- liblzma/common/index_hash.c